com.r3corda.node.services.messaging / ArtemisMessagingService / Handler

# Handler

`inner class Handler : MessageHandlerRegistration`

A registration to handle messages of different types

### Constructors

<init> | `Handler(executor: Executor?, topic: String, callback: (Message, MessageHandlerRegistration) -> Unit)` A registration to handle messages of different types

### Properties

callback | `val callback: (Message, MessageHandlerRegistration) -> Unit`
executor | `val executor: Executor?`
topic | `val topic: String`